[
{
    blockid=quota;
    help=store_quota_quota;
    custom="com.netscape.management.msgserv.StoreQuotaControl";
    localvar={
	/* translate this block */
	.header.text="Configuraci\u00f3n de cuota";
	.quotaenforcement.text="Activar forzado de cuota";
	.quotanotification.text="Activar notificaci\u00f3n de cuota";
	.defquota.text="Cuota de disco de usuario predeterminada:";
	.defmsgquota.text="Cuota de mensaje de usuario predeterminada:";
	.defquota.labels=["Kbyte(s)","Mbyte(s)"];
	.imapquotahelp.text="Porcentaje de cuota de disco permitida antes de advertencia.";
	.gracehelp.text="Despu\u00e9s del siguiente per\u00edodo de gracia especificado, el servidor comenzar\u00e1 a rechazar el correo.";
	.quota.text="Umbral de advertencia de cuota:";
	.unlimited.text="Ilimitados";
	.grace.text="Per\u00edodo de gracia de cuota en exceso:";
	.grace.labels=["Hora(s)","D\u00eda(s)"];
	.quotamsg.text="Mensaje que se debe enviar al usuario cuando se supera el l\u00edmite de cuota:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	    	gridx=0;
	        gridy=0;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* Added in IMS 5.0 ---> */
	{
		ctrl=togglepane;
		id=quotaenforcement;
		text=$.quotaenforcement.text;
		wrap=$g.label.size1;
		val=$quotaenforcement.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=3;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
		ctrl=togglepane;
		id=quotanotification;
		text=$.quotanotification.text;
		wrap=$g.label.size1;
		val=$quotanotification.value;
		inline=true;
		constraint={
	        gridx=0;
	        gridy=4;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }		
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=5;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=label;
	    id=defquotalabel;
	    text=$.defquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=6;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    style=radio;
	    group=defquota;
	    text=$.unlimited.text;
	    id=quotaunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=6;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defquotalabel;
	    group=defquota;
	    style=radio;
	    text="";
	    id=quotalimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=7;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    id=defaultquota;
		    label=defquotalabel;
		    unit=byte;
		    items=[kb,mb];
		    labels=$.defquota.labels;
		    val=$defaultmailboxquota.value;
		    min=-1;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	/* Added in IMS 5.0 ---> */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=8;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=defmsgquotalabel;
	    text=$.defmsgquota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=9;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    label=defmsgquotalabel;
	    style=radio;
	    group=defmsgquota;
	    text=$.unlimited.text;
	    id=quotamsgunlimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=9;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    group=defmsgquota;
	    style=radio;
	    text="";
	    id=quotamsglimited;
	    inline=true;
	    constraint={
	        gridx=1;
	        gridy=10;
	        weightx=9;
	        fill=h;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
	    	{
	    		ctrl=number;
	    		id=defaultmsgquota;
			label=defmsgquotalabel;
			val=$defaultmessagequota.value;
			min=-1;
	    	},
	    	{
		    ctrl=hglue;
		}
	    ]
	},
	/* <--- Added in IMS 5.0 */
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=11;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.imapquotahelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=12;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotalabel;
	    text=$.quota.text;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=13;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=pane;
	    constraint={
	        gridx=1;
	        gridy=13;
	        weightx=9;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=number;
		    val=$quotawarn.value;
		    label=quotalabel;
		    max=100;
		    aligny=0.5;
		},
		{
		    ctrl=label;
		    text=" %";
		    aligny=0.5;
		}
	    ]
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=14;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=quotamsglabel;
	    text=$.quotamsg.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=15;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=switchboard;
	    switchborder=false;
	    constraint={
	        gridx=0;
	        gridy=16;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	    switch=[
		{
		    ctrl=choice;
		    id=exceedlang;
		    items=$g.usrlang.items;
		    labels=$g.usrlang.labels;
		    sendmodified=false;
		}
	    ];
	    content=[
		{
		    ctrl=textarea;
		    id=exceedtext;
		    label=quotamsglabel;
		}
	    ];
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=17;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    text=$.gracehelp.text;
	    wrap=$g.label.size5;
	    constraint={
	        gridx=0;
	        gridy=18;
	        gridwidth=3;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=gracelabel;
	    text=$.grace.text;
	    target=gracectrl;
	    wrap=$g.label.size1;
	    constraint={
	        gridx=0;
	        gridy=19;
	        weightx=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=gracectrl;
	    label=gracelabel;
	    unit=hr;
	    items=[hr,day];
	    labels=$.grace.labels;
	    val=$quotagraceperiod.value;
	    constraint={
	        gridx=1;
	        gridy=19;
	        weightx=9;
	        weighty=1;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	}
    ]
},
{
    blockid=dialog1;
    help=store_quota_dialog1;
    localvar={
	.name.text="ID de administrador:";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    id=namelabel;
		    text=$.name.text;
		    wrap=$g.label.size5;
		},
		{
		    ctrl=text;
		    label=namelabel;
		    val=$adminname;
		}
	    ]
	}
    ]
}
]
